var showanchorsprefs = Components.classes["@mozilla.org/preferences-service;1"]
		.getService(Components.interfaces.nsIPrefBranch);
var showanchorsmediator = Components.classes["@mozilla.org/appshell/window-mediator;1"]
		.getService(Components.interfaces.nsIWindowMediator);
var showanchorswindow = showanchorsmediator
		.getMostRecentWindow('navigator:browser');

function loadshowanchorsprefs() {
	var highlight = showanchorsprefs.getBoolPref("extensions.showanchors.highlight");
	var enabled = document.getElementById('enablehighlighting');
	var disabled = document.getElementById('disablehighlighting');
	document.getElementById('highlight').selectedItem = highlight? enabled : disabled;

	var showanchors = showanchorsprefs.getBoolPref("extensions.showanchors.menu");
	var inmenu = document.getElementById('inmenu');
	var notinmenu = document.getElementById('notinmenu');
	document.getElementById('showanchors').selectedItem = showanchors? inmenu : notinmenu;
  
	var fullanchors = showanchorsprefs.getBoolPref("extensions.showanchors.fullanchors");
	document.getElementById('checkboxallanchors').checked = fullanchors;

}

function saveshowanchorsprefs() {
	var inmenu = document.getElementById('inmenu').selected;
	showanchorsprefs.setBoolPref("extensions.showanchors.menu", inmenu);
	showanchorswindow.document.getElementById("context_showanchors")
		.setAttribute("hidden", !inmenu);

	showanchorsprefs.setBoolPref("extensions.showanchors.highlight", document
			.getElementById('enablehighlighting').selected);
	showanchorsprefs.setBoolPref("extensions.showanchors.fullanchors", document
			.getElementById('checkboxallanchors').checked);

	return;
}